%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:       weld-core
Version:    2.1.2
Release:    4%{?dist}
Summary:    Reference Implementation for JSR-299: Contexts and Dependency Injection (CDI)
License:    ASL 2.0 and LGPLv2+ and (CDDL or GPLv2 with exceptions)
URL:        http://seamframework.org/Weld
Source0:    https://github.com/weld/core/archive/%{namedversion}.tar.gz

Patch0:     0001-jboss-logging-tools-1.2-support.patch

BuildArch: noarch

BuildRequires: aether
BuildRequires: findbugs
BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: jboss-logging-tools
BuildRequires: maven-local
BuildRequires: maven-clean-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-deploy-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-shade-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: maven-surefire-report-plugin
BuildRequires: maven-plugin-build-helper
BuildRequires: weld-api >= 2.1-0.1
BuildRequires: weld-parent
BuildRequires: cdi-api
BuildRequires: mvn(javax.faces:jsf-api)
BuildRequires: mvn(javax.persistence:persistence-api)
BuildRequires: mvn(javax.servlet.jsp:jsp-api)
BuildRequires: mvn(ch.qos.cal10n.plugins:maven-cal10n-plugin)
BuildRequires: mvn(org.jboss.spec.javax.el:jboss-el-api_3.0_spec)
BuildRequires: mvn(org.jboss.classfilewriter:jboss-classfilewriter)
BuildRequires: mvn(org.jboss.spec.javax.annotation:jboss-annotations-api_1.2_spec)
BuildRequires: mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.2_spec)
BuildRequires: mvn(org.jboss:jboss-vfs)
BuildRequires: mvn(org.jboss.spec.javax.faces:jboss-jsf-api_2.2_spec)

%description
Weld is the reference implementation (RI) for JSR-299: Java Contexts and
Dependency Injection for the Java EE platform (CDI). CDI is the Java standard
for dependency injection and contextual lifecycle management, and integrates
cleanly with the Java EE platform. Any Java EE 6-compliant application server
provides support for JSR-299 (even the web profile). 

%package javadoc
Summary: Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n core-%{namedversion}

%patch0 -p1

find . -name '*.jar' -exec rm {} \;
find . -name '*.class' -exec rm {} \;

# Not needed for build
%pom_remove_plugin org.eclipse.m2e:lifecycle-mapping

# We don't want to build these modules
%pom_disable_module porting-package/1.1
%pom_disable_module tests
%pom_disable_module tests-arquillian
%pom_disable_module inject-tck-runner
%pom_disable_module jboss-tck-runner/1.1

# Don't ship or run checkstyle configuration, see rhbz #825355
%pom_remove_plugin org.apache.maven.plugins:maven-checkstyle-plugin

# Disable envs that are not needed
%pom_disable_module environments/servlet

# Remove unnecessary at this point environents
rm -rf environments/servlet/core/src/main/java/org/jboss/weld/environment/jetty
rm -rf environments/servlet/core/src/main/java/org/jboss/weld/environment/tomcat
rm -rf environments/servlet/core/src/main/java/org/jboss/weld/environment/tomcat7

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc

%changelog
* Mon Aug 04 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 2.1.2-4
- Fix junit BRs (#1107142)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.1.2-2
- Use Requires: java-headless rebuild (#1067528)

* Fri Jan 10 2014 Marek Goldmann <mgoldman@redhat.com> - 2.1.2-1
- Upstream release 2.1.2.Final

* Mon Dec 30 2013 Marek Goldmann <mgoldman@redhat.com> - 2.1.1-1
- Upstream release 2.1.1.Final

* Tue Oct 22 2013 Marek Goldmann <mgoldman@redhat.com> - 2.1.0-0.1.CR1
- Upstream release 2.1.0.CR1

* Wed Sep 11 2013 Marek Goldmann <mgoldman@redhat.com> - 2.0.3-1
- Upstream release 2.0.3.Final

* Thu Jul 25 2013 Marek Goldmann <mgoldman@redhat.com> - 2.0.2-1
- Upstream release 2.0.2.Final, RHBZ#983233

* Wed Jul 24 2013 Marek Goldmann <mgoldman@redhat.com> - 1.1.13-2.Final
- Use the old cdi-api in version 1.0

* Wed Jul 10 2013 Mat Booth <fedora@matbooth.co.uk> - 1.1.13-1.Final
- Update to latest 1.1.x upstream
- Switch to using pom macros, drop upstreamed patches
- Don't run or ship checkstyle config, fixed rhbz #825355
- Build se-core module, fixes rhbz #969769
- Fix FTBFS rhbz #914570

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-6.AS71.Final
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.1.5-5.AS71.Final
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-4.AS71.Final
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 02 2012 Juan Hernandez <juan.hernandez@redhat.com> 1.1.5-3.AS71.Final
- Remove binaries bundled in the tarball

* Wed Mar 21 2012 Juan Hernandez <juan.hernandez@redhat.com> 1.1.5-2.AS71.Final
- Cleanup of the spec file

* Thu Mar 15 2012 Marek Goldmann <mgoldman@redhat.com> 1.1.5-1.AS71.Final
- Initial packaging

